Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0009205
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2009-05-27 13:302009-10-16 00:00
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisionc5b024720ede
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.50MP1SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0009205: smartbuild compiles all windows when it is not needed

DescriptionIn some cases smartbuild task compiles all windows in the application but it should not compile any one.

Cases:
1. After installing a virtual appliance and running it.

Please if you find additional cases when it is not working fine add them to this issue.
Steps To ReproduceDo not change any window and run smart
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0009191 closedalostale ant smartbuild always builds everything 
related to defect 0010934 closedalostale ant setup fails when used with pi 

-  Notes
(0016867)
iperdomo (developer)
2009-06-02 13:57

If you make an install.source (command-line) and then compile the openbravo project with eclipse, smartbuild compiles all the windows
(0017423)
iperdomo (developer)
2009-06-18 13:18

If you make install.source (command-line) and then use the smartbuild (command-line) it compiles all the windows
(0020924)
hgbot (developer)
2009-10-09 17:31

Repository: erp/devel/pi
Changeset: 2685893c32390def4fbbeb4bbf24f796fef4d449
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Oct 09 17:16:25 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/2685893c32390def4fbbeb4bbf24f796fef4d449 [^]

fixed bug 0009205: smartbuild compiles all windows when it is not needed

---
M build.xml
M src-core/src/org/openbravo/utils/CheckSum.java
---
(0020926)
hgbot (developer)
2009-10-09 18:00

Repository: erp/devel/pi
Changeset: c5b024720ede9319b345782dfa58c36d2bc2f4cf
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Oct 09 18:00:30 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c5b024720ede9319b345782dfa58c36d2bc2f4cf [^]

realated to issue 0009205: order files to calculate the checksums

---
M src-core/src/org/openbravo/utils/CheckSum.java
---
(0021085)
marvintm (developer)
2009-10-15 18:30

I've tested both after a clean install.source, and after refreshing and compiling with Eclipse, and in both cases, no windows were compiled.

- Issue History
Date Modified Username Field Change
2009-05-27 13:30 alostale New Issue
2009-05-27 13:30 alostale Assigned To => alostale
2009-05-29 08:12 alostale Relationship added has duplicate 0009191
2009-05-29 12:56 psarobe Status new => scheduled
2009-05-29 12:56 psarobe fix_in_branch => pi
2009-06-02 13:57 iperdomo Note Added: 0016867
2009-06-18 13:18 iperdomo Note Added: 0017423
2009-10-09 17:31 hgbot Checkin
2009-10-09 17:31 hgbot Note Added: 0020924
2009-10-09 17:31 hgbot Status scheduled => resolved
2009-10-09 17:31 hgbot Resolution open => fixed
2009-10-09 17:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2685893c32390def4fbbeb4bbf24f796fef4d449 [^]
2009-10-09 18:00 hgbot Checkin
2009-10-09 18:00 hgbot Note Added: 0020926
2009-10-09 18:00 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/2685893c32390def4fbbeb4bbf24f796fef4d449 [^] => http://code.openbravo.com/erp/devel/pi/rev/c5b024720ede9319b345782dfa58c36d2bc2f4cf [^]
2009-10-13 10:52 jpabloae Relationship added related to 0010934
2009-10-15 18:30 marvintm Status resolved => closed
2009-10-15 18:30 marvintm Note Added: 0021085
2009-10-16 00:00 anonymous sf_bug_id 0 => 2880168


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker